`timescale 1ns / 1ps
module delay_cell (z,i,sel);

	function integer clog2;
		input integer value;
		begin
			value = value-1;
			for (clog2=0; value>0; clog2=clog2+1)
				value = value>>1;
		end
	endfunction
	
	parameter DELAY = 1;
	parameter NR_BITS = clog2(DELAY) -1;
	input i;
	input [3:0] sel;
	output z;
	wire [NR_BITS:0] delay_sel;
	assign delay_sel = sel[3:0];
	delay_module #(.DELAY(DELAY)) DELMOD(.out(z),.in(i),.sel(delay_sel[NR_BITS:0]));
	//assign #DELAY z = i;
endmodule
