`timescale 1ns / 1ps
module storage_byte_clk(in,c,p,out);
	
	parameter SIZE=8;
	
	input [SIZE-1:0] in;
	input c,p;
	output [SIZE-1:0]out;
	
	reg [SIZE-1:0] out;
	
	always @ (posedge c or negedge p) begin
		if (p == 1'b0) begin
			out <= {(SIZE){1'b0}};
		end else begin
			out <= in;
		end
	end 
endmodule
	