#ram_depth in lines
#Block size in bits each line

#Get settings
file = open("settings.ini","r")
width = file.readline()
temp = width.split("width:")
width = int(temp[1])

height = file.readline()
temp = height.split("height:")
height = int(temp[1])

blocksize_ram = file.readline()
temp = blocksize_ram.split("blocksize_ram:")
blocksize_ram = int(temp[1])

ram_depth = file.readline()
temp = ram_depth.split("ram_depth:")
ram_depth = int(temp[1])


file.close

symbol_height = 8
symbol_width = 8
print(("Settings read from settings.ini:\n Width: %s, height:  %s, blocksize_ram: %s, ram_depth: %s" % (width, height, blocksize_ram, ram_depth)))


#Load characters
file = open("VGA-ROM.h", "r")
characters = file.read()

#Remove unwanted data
import re
import_vga = re.findall(r'[\w\.-]+x[\w\.-]+', characters) ## ['alice@google.com', 'bob@abc.com']

#Init integerarray
foo = "0"
intarray = [x[:] for x in [[foo] * 8] * 256]
hexarray = [x[:] for x in [[foo] * 8] * 256]
binarray = [x[:] for x in [[foo] * 8] * 256]
#Convert to integer
i = 0
j = 0
for x in range(len(import_vga) - 1):
    intarray[i][j] = int(import_vga[x], 16)
    if j == 7:
        j = 0
        i = i + 1
    else:
        j = j + 1

for i in range(256):
    for j in range(8):
        hexarray[i][j] = hex(int(intarray[i][j]))

#convert integers to 8 bit data
for i in range(256):
    for j in range(8):
        binarray[i][j] = format((int(intarray[i][j])), '#0%sb' %(symbol_width))
#print binarray
import codecs
#Open GUI file
#file = open("gui.txt", "r")
#test= file.read(2)
#file.close()
#print(ord(test[1]))
#exit()
with codecs.open('gui.txt', "rU",encoding='utf8') as f:
    gui = [list(line.strip()) for line in f]
    print gui
#Initram
#print(ord(gui[0][0]))
RAM =["0"]*ram_depth
##print ("Print: %s " %(gui[0][1]))
#Load ram with correct values
#calc ram addr
blocks_each_width = width / blocksize_ram
#Store symbols to ram
i = 1
j = 1
file = open("generated_verilog/vga_params.v", "w")
file.write("//Parametres for menu writing \n\n" )
for x in range((height / symbol_height)):
    for y in range((width / symbol_width) ):
        ##Get symbol
#        print ("x: %d" %(x))
#        print ("y: %d" %(y))
        symbol = ord(gui[x][y])
        addr = (x * blocks_each_width * symbol_height) + (y)
        if symbol == 61:  # Generate parametre for register writing positions Triggers on =
            file.write("parameter PX_R%d = %d;\n" % (i, (addr+4)))
            i = i + 1
        if symbol == 175:  # Generate Menu pointer positions
            file.write("parameter PX_MENU%d_1 = %d;\n" % (j, addr))
            file.write("parameter PX_MENU%d_2 = %d;\n" % (j, (addr + (blocks_each_width*symbol_height))))
            file.write("parameter PX_MENU%d_3 = %d;\n" % (j, (addr + (2 * (blocks_each_width*symbol_height)))))
            file.write("parameter PX_MENU%d_4 = %d;\n" % (j, (addr + (3 * (blocks_each_width*symbol_height)))))
            file.write("parameter PX_MENU%d_5 = %d;\n" % (j, (addr + (4 * (blocks_each_width*symbol_height)))))
            file.write("parameter PX_MENU%d_6 = %d;\n" % (j, (addr + (5 * (blocks_each_width*symbol_height)))))
            j = j + 1
        if symbol == 59: # write pointer to start of writable symbols
            file.write("parameter SYMBOL_PTR = %d;\n" % (addr+1))
        #sprint addr
        for z in range(symbol_height):
            RAM[addr]=intarray[symbol][z]
            addr = addr + blocks_each_width
            #print addr
file.close()
#write ram to .coe file
file = open("generated_mem_init/vga_ram_init.coe", "w")

file.write("memory_initialization_radix=2;\n")
file.write("memory_initialization_vector=\n")
for x in range(ram_depth):
    out = format((int(RAM[x])), '#010b')
    test = out.split("0b")
#    print test
    if x == ram_depth - 1:
        file.write("%s;"%(test[1]))
    else:
        file.write("%s,\n"%(test[1]))


file.close()
print "End"
