
//
// ORDLY15s8fhvt (2-Input OR, 1X Drive).
//

`celldefine
`suppress_faults
`enable_portfaults
`delay_mode_path

module ORDLY15s8fhvt (o, i1, i2);
  output o;
  input i1;
  input i2;

  or #15 G2(o, i1, i2);

    `ifdef TETRAMAX
    `else
  specify
    (i1 +=> o) = (15.0, 15.0);
    (i2 +=> o) = (15.0, 15.0);
  endspecify
    `endif
endmodule

`disable_portfaults
`nosuppress_faults
`endcelldefine

//
// ORDLY50s8fhvt (2-Input OR, 1X Drive).
//

`celldefine
`suppress_faults
`enable_portfaults
`delay_mode_path

module ORDLY50s8fhvt (o, i1, i2);
  output o;
  input i1;
  input i2;

  or #50 G2(o, i1, i2);

    `ifdef TETRAMAX
    `else
  specify
    (i1 +=> o) = (50.0, 50.0);
    (i2 +=> o) = (50.0, 50.0);
  endspecify
    `endif
endmodule

`disable_portfaults
`nosuppress_faults
`endcelldefine

module delad11s8fhvt (I, O);
  input I;
  output O;

  buf(O, I);

`ifdef NOTIMING
`else
  specify
    (I => O) = (0.1, 0.1);
  endspecify
`endif

endmodule

module delbd11s8fhvt (I, O);
  input I;
  output O;

  buf(O, I);

`ifdef NOTIMING
`else
  specify
    (I => O) = (0.1, 0.1);
  endspecify
`endif

endmodule

module delcd11s8fhvt (I, O);
  input I;
  output O;

  buf(O, I);

`ifdef NOTIMING
`else
  specify
    (I => O) = (0.1, 0.1);
  endspecify
`endif

endmodule

module deldd11s8fhvt (I, O);
  input I;
  output O;

  buf(O, I);

`ifdef NOTIMING
`else
  specify
    (I => O) = (0.1, 0.1);
  endspecify
`endif

endmodule

