/* Parameter file for PE SIMD module */

// Should be moved in a feature file ?
parameter PE_INST_BITS = 24,
  PE_INST_MSB = PE_INST_BITS-1;

parameter PE_WORD_BITS = 16,
  PE_WORD_MSB = PE_WORD_BITS-1;

// Regfile
parameter PE_RF_SEL_BITS = 4,
  PE_RF_SEL_MSB = PE_RF_SEL_BITS-1;





// Should be moved in a feature file ?
parameter AGEN_INST_BITS = 8,
  AGEN_INST_MSB = PE_INST_BITS-1;

parameter AGEN_WORD_BITS = 16,
  AGEN_WORD_MSB = AGEN_WORD_BITS-1;


//@begin[pe_inst_format]
parameter PE_INST_FORMAT_ALUOP_SIZE = 4;
parameter PE_INST_FORMAT_ALUOP_MSB = 3;
parameter PE_INST_FORMAT_ALUOP_OFFSET = 12;

parameter PE_INST_FORMAT_MEM_SIZE = 2;
parameter PE_INST_FORMAT_MEM_MSB = 1;
parameter PE_INST_FORMAT_MEM_OFFSET = 24;

parameter PE_INST_FORMAT_RD_SIZE = 4;
parameter PE_INST_FORMAT_RD_MSB = 3;
parameter PE_INST_FORMAT_RD_OFFSET = 8;

parameter PE_INST_FORMAT_AGEN_SIZE = 4;
parameter PE_INST_FORMAT_AGEN_MSB = 3;
parameter PE_INST_FORMAT_AGEN_OFFSET = 20;

parameter PE_INST_FORMAT_COND_SIZE = 4;
parameter PE_INST_FORMAT_COND_MSB = 3;
parameter PE_INST_FORMAT_COND_OFFSET = 16;

parameter PE_INST_FORMAT_RS1_SIZE = 4;
parameter PE_INST_FORMAT_RS1_MSB = 3;
parameter PE_INST_FORMAT_RS1_OFFSET = 4;

parameter PE_INST_FORMAT_RS2_SIZE = 4;
parameter PE_INST_FORMAT_RS2_MSB = 3;
parameter PE_INST_FORMAT_RS2_OFFSET = 0;

//@end[pe_inst_format]

//@begin[pe_alu_op]
parameter PE_SEL_ALUOP_ADD = 0;
parameter PE_SEL_ALUOP_BITS = 0;
parameter PE_SEL_ALUOP_MSB = -1;
//@end[pe_alu_op]
