STIL 1.0 {
    CTL P2001.10;
    Design 2005;
}
Header {
    Title "Minimal STIL for design `chip_top'";
    Date "Mon May 12 14:03:13 2014";
    Source "DFT Compiler E-2010.12-SP5";
}
Signals {
    "SCAN_ENABLE" In;
    "SI" In;
    "aludsel[0]" In;
    "aludsel[1]" In;
    "aludsel[2]" In;
    "aludsel[3]" In;
    "clk" In;
    "cpu_req" In;
    "instruction_in[0]" In;
    "instruction_in[10]" In;
    "instruction_in[11]" In;
    "instruction_in[12]" In;
    "instruction_in[13]" In;
    "instruction_in[14]" In;
    "instruction_in[15]" In;
    "instruction_in[1]" In;
    "instruction_in[2]" In;
    "instruction_in[3]" In;
    "instruction_in[4]" In;
    "instruction_in[5]" In;
    "instruction_in[6]" In;
    "instruction_in[7]" In;
    "instruction_in[8]" In;
    "instruction_in[9]" In;
    "load_program" In;
    "memdsel[0]" In;
    "memdsel[1]" In;
    "memdsel[2]" In;
    "memdsel[3]" In;
    "prog_adr[0]" In;
    "prog_adr[10]" In;
    "prog_adr[1]" In;
    "prog_adr[2]" In;
    "prog_adr[3]" In;
    "prog_adr[4]" In;
    "prog_adr[5]" In;
    "prog_adr[6]" In;
    "prog_adr[7]" In;
    "prog_adr[8]" In;
    "prog_adr[9]" In;
    "prog_clk" In;
    "ramdsel[0]" In;
    "ramdsel[1]" In;
    "ramdsel[2]" In;
    "ramdsel[3]" In;
    "rfdsel[0]" In;
    "rfdsel[1]" In;
    "rfdsel[2]" In;
    "rfdsel[3]" In;
    "rst_n_temp" In;
    "sel_mode[0]" In;
    "sel_mode[1]" In;
    "sel_mode[2]" In;
    "sel_mode[3]" In;
    "test_se" In;
    "SO" Out;
    "cpu_ack" Out;
}
SignalGroups  {
    "all_inputs" = '"SCAN_ENABLE" + "SI" + "aludsel[0]" + "aludsel[1]" + 
    "aludsel[2]" + "aludsel[3]" + "clk" + "cpu_req" + "instruction_in[0]" + 
    "instruction_in[10]" + "instruction_in[11]" + "instruction_in[12]" + 
    "instruction_in[13]" + "instruction_in[14]" + "instruction_in[15]" + 
    "instruction_in[1]" + "instruction_in[2]" + "instruction_in[3]" + 
    "instruction_in[4]" + "instruction_in[5]" + "instruction_in[6]" + 
    "instruction_in[7]" + "instruction_in[8]" + "instruction_in[9]" + 
    "load_program" + "memdsel[0]" + "memdsel[1]" + "memdsel[2]" + "memdsel[3]" + 
    "prog_adr[0]" + "prog_adr[10]" + "prog_adr[1]" + "prog_adr[2]" + 
    "prog_adr[3]" + "prog_adr[4]" + "prog_adr[5]" + "prog_adr[6]" + 
    "prog_adr[7]" + "prog_adr[8]" + "prog_adr[9]" + "prog_clk" + "ramdsel[0]" + 
    "ramdsel[1]" + "ramdsel[2]" + "ramdsel[3]" + "rfdsel[0]" + "rfdsel[1]" + 
    "rfdsel[2]" + "rfdsel[3]" + "rst_n_temp" + "sel_mode[0]" + "sel_mode[1]" + 
    "sel_mode[2]" + "sel_mode[3]" + "test_se"';
    "all_outputs" = '"SO" + "cpu_ack"';
    "all_ports" = '"all_inputs" + "all_outputs"';
    "_pi" = "all_inputs";
    "_po" = "all_outputs";
}
Timing  {
    WaveformTable "_default_WFT_" {
        Period '100ns';
        Waveforms {
            "all_inputs" {
                0 {
                    '0ns' D;
                }
            }
            "all_inputs" {
                1 {
                    '0ns' U;
                }
            }
            "all_inputs" {
                Z {
                    '0ns' Z;
                }
            }
            "all_inputs" {
                N {
                    '0ns' N;
                }
            }
            "all_outputs" {
                X {
                    '0ns' X;
                    '40ns' X;
                }
            }
            "all_outputs" {
                H {
                    '0ns' X;
                    '40ns' H;
                }
            }
            "all_outputs" {
                T {
                    '0ns' X;
                    '40ns' T;
                }
            }
            "all_outputs" {
                L {
                    '0ns' X;
                    '40ns' L;
                }
            }
        }
    }
    WaveformTable "_multiclock_capture_WFT_" {
        Period '100ns';
        Waveforms {
            "all_inputs" {
                0 {
                    '0ns' D;
                }
            }
            "all_inputs" {
                1 {
                    '0ns' U;
                }
            }
            "all_inputs" {
                Z {
                    '0ns' Z;
                }
            }
            "all_inputs" {
                N {
                    '0ns' N;
                }
            }
            "all_outputs" {
                X {
                    '0ns' X;
                    '40ns' X;
                }
            }
            "all_outputs" {
                H {
                    '0ns' X;
                    '40ns' H;
                }
            }
            "all_outputs" {
                T {
                    '0ns' X;
                    '40ns' T;
                }
            }
            "all_outputs" {
                L {
                    '0ns' X;
                    '40ns' L;
                }
            }
        }
    }
    WaveformTable "_allclock_capture_WFT_" {
        Period '100ns';
        Waveforms {
            "all_inputs" {
                0 {
                    '0ns' D;
                }
            }
            "all_inputs" {
                1 {
                    '0ns' U;
                }
            }
            "all_inputs" {
                Z {
                    '0ns' Z;
                }
            }
            "all_inputs" {
                N {
                    '0ns' N;
                }
            }
            "all_outputs" {
                X {
                    '0ns' X;
                    '40ns' X;
                }
            }
            "all_outputs" {
                H {
                    '0ns' X;
                    '40ns' H;
                }
            }
            "all_outputs" {
                T {
                    '0ns' X;
                    '40ns' T;
                }
            }
            "all_outputs" {
                L {
                    '0ns' X;
                    '40ns' L;
                }
            }
        }
    }
    WaveformTable "_allclock_launch_WFT_" {
        Period '100ns';
        Waveforms {
            "all_inputs" {
                0 {
                    '0ns' D;
                }
            }
            "all_inputs" {
                1 {
                    '0ns' U;
                }
            }
            "all_inputs" {
                Z {
                    '0ns' Z;
                }
            }
            "all_inputs" {
                N {
                    '0ns' N;
                }
            }
            "all_outputs" {
                X {
                    '0ns' X;
                    '40ns' X;
                }
            }
            "all_outputs" {
                H {
                    '0ns' X;
                    '40ns' H;
                }
            }
            "all_outputs" {
                T {
                    '0ns' X;
                    '40ns' T;
                }
            }
            "all_outputs" {
                L {
                    '0ns' X;
                    '40ns' L;
                }
            }
        }
    }
    WaveformTable "_allclock_launch_capture_WFT_" {
        Period '100ns';
        Waveforms {
            "all_inputs" {
                0 {
                    '0ns' D;
                }
            }
            "all_inputs" {
                1 {
                    '0ns' U;
                }
            }
            "all_inputs" {
                Z {
                    '0ns' Z;
                }
            }
            "all_inputs" {
                N {
                    '0ns' N;
                }
            }
            "all_outputs" {
                X {
                    '0ns' X;
                    '40ns' X;
                }
            }
            "all_outputs" {
                H {
                    '0ns' X;
                    '40ns' H;
                }
            }
            "all_outputs" {
                T {
                    '0ns' X;
                    '40ns' T;
                }
            }
            "all_outputs" {
                L {
                    '0ns' X;
                    '40ns' L;
                }
            }
        }
    }
}
Procedures all_dft_protocol {
    "multiclock_capture" {
        W "_multiclock_capture_WFT_";
        C {
            "SO" = X;
            "cpu_ack" = X;
        }
        V {
            "_po" = ##;
            "_pi" = \r55 #;
        }
    }
    "allclock_capture" {
        W "_allclock_capture_WFT_";
        C {
            "SO" = X;
            "cpu_ack" = X;
        }
        V {
            "_po" = ##;
            "_pi" = \r55 #;
        }
    }
    "allclock_launch" {
        W "_allclock_launch_WFT_";
        C {
            "SO" = X;
            "cpu_ack" = X;
        }
        V {
            "_po" = ##;
            "_pi" = \r55 #;
        }
    }
    "allclock_launch_capture" {
        W "_allclock_launch_capture_WFT_";
        C {
            "SO" = X;
            "cpu_ack" = X;
        }
        V {
            "_po" = ##;
            "_pi" = \r55 #;
        }
    }
}
MacroDefs all_dft_protocol {
    "test_setup" {
        W "_default_WFT_";
        V {
        }
        V {
        }
        V {
        }
        V {
        }
    }
}
Environment "chip_top" {
    CTL  {
    }
    CTL all_dft_user {
        TestMode ForInheritOnly;
    }
    CTL all_dft_protocol {
        TestMode ForInheritOnly;
        Inherit all_dft_user;
        DomainReferences {
            Procedures all_dft_protocol;
            MacroDefs all_dft_protocol;
        }
    }
    CTL all_dft {
        TestMode ForInheritOnly;
        Inherit all_dft_protocol;
    }
}
Environment dftSpec {
    CTL  {
    }
    CTL all_dft {
        TestMode ForInheritOnly;
    }
}

