`ifndef DEFAULT_LIB
  `define DEFAULT_LIB "S8FHVT"
`endif

module primitive_cmuller2 (/*AUTOARG*/
  // Outputs
  z,
  // Inputs
  a, b, rstneg
  );
  input a;
  input b;
  input rstneg;
  output z;

  parameter LIB = "S8FHVT";
  /*AUTOINPUT*/
  /*AUTOOUTPUT*/
  
  /*AUTOREG*/
  /*AUTOWIRE*/
  wire   z;
  
    if(LIB=="S10S3") begin:U
      cmuller2d4x3s10 CMULLER2(.z(z), .a(a), .b(b),.rstneg(rstneg));
    end
    else if(LIB=="S8FHVT") begin:U
      cmuller2d4s8fhvt CMULLER2(.z(z), .a(a), .b(b),.rstneg(rstneg));
    end


  
  
endmodule // primitive_cmuller2
/*  
 Local Variables:
 verilog-library-directories:(
 "."
 )
 End:
 */
