`ifndef DEFAULT_LIB
  `define DEFAULT_LIB "S8FHVT"
 `endif

module primitive_cmuller3p1n1 (/*AUTOARG*/
  // Outputs
  z,
  // Inputs
  n, p, b, rstneg
  );
  input n;
  input p;
  input b;
  input rstneg;
  output z;

  parameter LIB = "S8FHVT";
  /*AUTOINPUT*/
  /*AUTOOUTPUT*/
  
  /*AUTOREG*/
  /*AUTOWIRE*/
  wire   z;
  
    if(LIB=="S10S3") begin:U
      cmuller3p1n1d4x3s10 CMULLER3(.z(z), .n(n),.p(p), .b(b),.rstneg(rstneg));
    end
    else if(LIB=="S8FHVT") begin:U
      cmuller3p1n1d4s8fhvt CMULLER3(.z(z), .n(n),.p(p), .b(b),.rstneg(rstneg));
    end


  
  
endmodule // primitive_cmuller2
/*  
 Local Variables:
 verilog-library-directories:(
 "."
 )
 End:
 */
