//****************************************************************************
//                 PROPRIETARY INFORMATION OF ATMEL CORPORATION
//
//                     32-bit AVR UC3 / SAM source code file.
//                       Copyright Atmel Corporation
//
//         The scope of use of the material contained herein is limited
//         strictly to the terms of the LICENSE which grants permission
//         for the use of the material.  Distribution of this material
//            and all copies thereof to any entity other than to the
//           EMPLOYEES of the Licensee, as the term is defined in the
//        LICENSE, is strictly forbidden without a prior written consent
//                            of Atmel Corporation.
//****************************************************************************
//****************************************************************************
//
//  Filename        :  chip_common_p.sv
//
//  Project number  :  U3002
//  Module name     :  
//  Description     :  Contains common definitions across chips
//
//  Author          :  sgarnier
//  Date            :  August 2012
//
//****************************************************************************

package chip_common_p;

  `include "ultra_params.v"
  `include "ip_h.sv"

//  `include "general_verilog_pkg.v"  // For HMATRIX only and Rousset IPs only
//  `include "cpu_features.v"         // For HMATRIX only and Rousset IPs only
  //localparam HADDR_SIZE = HADDR_BITS; // Needed by hmatrix

endpackage
