//****************************************************************************
//                 PROPRIETARY INFORMATION OF ATMEL CORPORATION
//
//                     32-bit AVR UC3 / SAM source code file.
//                       Copyright Atmel Corporation
//
//         The scope of use of the material contained herein is limited
//         strictly to the terms of the LICENSE which grants permission
//         for the use of the material.  Distribution of this material
//            and all copies thereof to any entity other than to the
//           EMPLOYEES of the Licensee, as the term is defined in the
//        LICENSE, is strictly forbidden without a prior written consent
//                            of Atmel Corporation.
//****************************************************************************
//****************************************************************************
//
//  Filename        :  chip_params_p.sv
//
//  Project number  :  U3002
//  Module name     :  
//  Description     :  This package is intended to separate chip_features_p and <module>_p
// 		       due to package compilation dependencies
//
//  Author          :  sgarnier
//  Date            :  August 2012
//
//****************************************************************************

// This package can import other module packages.
// When doing so, specify package dependencies in verification/scripts/glob-svpackage-files script

package chip_params_p;

  import chip_common_p::*;
  import chip_features_p::*;

endpackage
