###################################################################

# Created by write_sdc on Thu Oct 18 19:28:41 2012

###################################################################
set sdc_version 1.7

set_units -time ns -resistance kOhm -capacitance pF -voltage V -current mA
set_driving_cell -lib_cell bufckd7s8 [get_ports clk_apb_sysctrl]
set_driving_cell -lib_cell bufckd7s8 [get_ports clk_osc32k_1khz_raw]
set_driving_cell -lib_cell bufckd7s8 [get_ports clk_osc32k_32khz_raw]
set_driving_cell -lib_cell bufckd7s8 [get_ports clk_test]
set_case_analysis 0 [get_ports SCAN_ENABLE]
set_case_analysis 0 [get_ports test_se]
create_clock [get_ports clk_osc32k_1khz_raw]  -name clk  -period 20  -waveform {0 10}
group_path -name FEEDTHROUGH  -from [list [get_ports clk_apb_sysctrl] [get_ports rst_apb_n] [get_ports scan_test_mode] [get_ports clk_osc32k_32khz_raw] [get_ports clk_test] [get_ports osc32k_test_mode] [get_ports {sysctrl_slotsel[0]}] [get_ports {sysctrl_pstrb[3]}] [get_ports {sysctrl_pstrb[2]}] [get_ports {sysctrl_pstrb[1]}] [get_ports {sysctrl_pstrb[0]}] [get_ports pm_keep_osc_osc32k_32khz] [get_ports pm_keep_osc_osc32k_1khz] [get_ports pm_enable_osc32k] [get_ports pad_sysctrl_osc32k_en_test_in] [get_ports pad_sysctrl_osc32k_en32k_test_in] [get_ports pad_sysctrl_osc32k_en1k_test_in] [get_ports {pad_sysctrl_osc32k_coarse_test_in[6]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[5]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[4]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[3]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[2]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[1]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[0]}] [get_ports sysctrl_write] [get_ports {sysctrl_wdata[31]}] [get_ports {sysctrl_wdata[30]}] [get_ports {sysctrl_wdata[29]}] [get_ports {sysctrl_wdata[28]}] [get_ports {sysctrl_wdata[27]}] [get_ports {sysctrl_wdata[26]}] [get_ports {sysctrl_wdata[25]}] [get_ports {sysctrl_wdata[24]}] [get_ports {sysctrl_wdata[23]}] [get_ports {sysctrl_wdata[22]}] [get_ports {sysctrl_wdata[21]}] [get_ports {sysctrl_wdata[20]}] [get_ports {sysctrl_wdata[19]}] [get_ports {sysctrl_wdata[18]}] [get_ports {sysctrl_wdata[17]}] [get_ports {sysctrl_wdata[16]}] [get_ports {sysctrl_wdata[15]}] [get_ports {sysctrl_wdata[14]}] [get_ports {sysctrl_wdata[13]}] [get_ports {sysctrl_wdata[12]}] [get_ports {sysctrl_wdata[11]}] [get_ports {sysctrl_wdata[10]}] [get_ports {sysctrl_wdata[9]}] [get_ports {sysctrl_wdata[8]}] [get_ports {sysctrl_wdata[7]}] [get_ports {sysctrl_wdata[6]}] [get_ports {sysctrl_wdata[5]}] [get_ports {sysctrl_wdata[4]}] [get_ports {sysctrl_wdata[3]}] [get_ports {sysctrl_wdata[2]}] [get_ports {sysctrl_wdata[1]}] [get_ports {sysctrl_wdata[0]}]]  -to [list [get_ports sysctrl_pad_osc32k_clk32k_test_out] [get_ports sysctrl_pad_osc32k_clk1k_test_out] [get_ports {sysctrl_rdata[31]}] [get_ports {sysctrl_rdata[30]}] [get_ports {sysctrl_rdata[29]}] [get_ports {sysctrl_rdata[28]}] [get_ports {sysctrl_rdata[27]}] [get_ports {sysctrl_rdata[26]}] [get_ports {sysctrl_rdata[25]}] [get_ports {sysctrl_rdata[24]}] [get_ports {sysctrl_rdata[23]}] [get_ports {sysctrl_rdata[22]}] [get_ports {sysctrl_rdata[21]}] [get_ports {sysctrl_rdata[20]}] [get_ports {sysctrl_rdata[19]}] [get_ports {sysctrl_rdata[18]}] [get_ports {sysctrl_rdata[17]}] [get_ports {sysctrl_rdata[16]}] [get_ports {sysctrl_rdata[15]}] [get_ports {sysctrl_rdata[14]}] [get_ports {sysctrl_rdata[13]}] [get_ports {sysctrl_rdata[12]}] [get_ports {sysctrl_rdata[11]}] [get_ports {sysctrl_rdata[10]}] [get_ports {sysctrl_rdata[9]}] [get_ports {sysctrl_rdata[8]}] [get_ports {sysctrl_rdata[7]}] [get_ports {sysctrl_rdata[6]}] [get_ports {sysctrl_rdata[5]}] [get_ports {sysctrl_rdata[4]}] [get_ports {sysctrl_rdata[3]}] [get_ports {sysctrl_rdata[2]}] [get_ports {sysctrl_rdata[1]}] [get_ports {sysctrl_rdata[0]}] [get_ports {osc32k_coarse_calib[6]}] [get_ports {osc32k_coarse_calib[5]}] [get_ports {osc32k_coarse_calib[4]}] [get_ports {osc32k_coarse_calib[3]}] [get_ports {osc32k_coarse_calib[2]}] [get_ports {osc32k_coarse_calib[1]}] [get_ports {osc32k_coarse_calib[0]}] [get_ports osc32k_en] [get_ports osc32k_en1k] [get_ports osc32k_en32k] [get_ports clk_osc32k_1khz] [get_ports clk_osc32k_32khz] [get_ports sysctrl_osc32krdy] [get_ports osc32k_32khz_ready] [get_ports osc32k_1khz_ready]]
group_path -name REGIN  -from [list [get_ports clk_apb_sysctrl] [get_ports rst_apb_n] [get_ports scan_test_mode] [get_ports clk_osc32k_32khz_raw] [get_ports clk_test] [get_ports osc32k_test_mode] [get_ports {sysctrl_slotsel[0]}] [get_ports {sysctrl_pstrb[3]}] [get_ports {sysctrl_pstrb[2]}] [get_ports {sysctrl_pstrb[1]}] [get_ports {sysctrl_pstrb[0]}] [get_ports pm_keep_osc_osc32k_32khz] [get_ports pm_keep_osc_osc32k_1khz] [get_ports pm_enable_osc32k] [get_ports pad_sysctrl_osc32k_en_test_in] [get_ports pad_sysctrl_osc32k_en32k_test_in] [get_ports pad_sysctrl_osc32k_en1k_test_in] [get_ports {pad_sysctrl_osc32k_coarse_test_in[6]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[5]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[4]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[3]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[2]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[1]}] [get_ports {pad_sysctrl_osc32k_coarse_test_in[0]}] [get_ports sysctrl_write] [get_ports {sysctrl_wdata[31]}] [get_ports {sysctrl_wdata[30]}] [get_ports {sysctrl_wdata[29]}] [get_ports {sysctrl_wdata[28]}] [get_ports {sysctrl_wdata[27]}] [get_ports {sysctrl_wdata[26]}] [get_ports {sysctrl_wdata[25]}] [get_ports {sysctrl_wdata[24]}] [get_ports {sysctrl_wdata[23]}] [get_ports {sysctrl_wdata[22]}] [get_ports {sysctrl_wdata[21]}] [get_ports {sysctrl_wdata[20]}] [get_ports {sysctrl_wdata[19]}] [get_ports {sysctrl_wdata[18]}] [get_ports {sysctrl_wdata[17]}] [get_ports {sysctrl_wdata[16]}] [get_ports {sysctrl_wdata[15]}] [get_ports {sysctrl_wdata[14]}] [get_ports {sysctrl_wdata[13]}] [get_ports {sysctrl_wdata[12]}] [get_ports {sysctrl_wdata[11]}] [get_ports {sysctrl_wdata[10]}] [get_ports {sysctrl_wdata[9]}] [get_ports {sysctrl_wdata[8]}] [get_ports {sysctrl_wdata[7]}] [get_ports {sysctrl_wdata[6]}] [get_ports {sysctrl_wdata[5]}] [get_ports {sysctrl_wdata[4]}] [get_ports {sysctrl_wdata[3]}] [get_ports {sysctrl_wdata[2]}] [get_ports {sysctrl_wdata[1]}] [get_ports {sysctrl_wdata[0]}]]
group_path -name REGOUT  -to [list [get_ports sysctrl_pad_osc32k_clk32k_test_out] [get_ports sysctrl_pad_osc32k_clk1k_test_out] [get_ports {sysctrl_rdata[31]}] [get_ports {sysctrl_rdata[30]}] [get_ports {sysctrl_rdata[29]}] [get_ports {sysctrl_rdata[28]}] [get_ports {sysctrl_rdata[27]}] [get_ports {sysctrl_rdata[26]}] [get_ports {sysctrl_rdata[25]}] [get_ports {sysctrl_rdata[24]}] [get_ports {sysctrl_rdata[23]}] [get_ports {sysctrl_rdata[22]}] [get_ports {sysctrl_rdata[21]}] [get_ports {sysctrl_rdata[20]}] [get_ports {sysctrl_rdata[19]}] [get_ports {sysctrl_rdata[18]}] [get_ports {sysctrl_rdata[17]}] [get_ports {sysctrl_rdata[16]}] [get_ports {sysctrl_rdata[15]}] [get_ports {sysctrl_rdata[14]}] [get_ports {sysctrl_rdata[13]}] [get_ports {sysctrl_rdata[12]}] [get_ports {sysctrl_rdata[11]}] [get_ports {sysctrl_rdata[10]}] [get_ports {sysctrl_rdata[9]}] [get_ports {sysctrl_rdata[8]}] [get_ports {sysctrl_rdata[7]}] [get_ports {sysctrl_rdata[6]}] [get_ports {sysctrl_rdata[5]}] [get_ports {sysctrl_rdata[4]}] [get_ports {sysctrl_rdata[3]}] [get_ports {sysctrl_rdata[2]}] [get_ports {sysctrl_rdata[1]}] [get_ports {sysctrl_rdata[0]}] [get_ports {osc32k_coarse_calib[6]}] [get_ports {osc32k_coarse_calib[5]}] [get_ports {osc32k_coarse_calib[4]}] [get_ports {osc32k_coarse_calib[3]}] [get_ports {osc32k_coarse_calib[2]}] [get_ports {osc32k_coarse_calib[1]}] [get_ports {osc32k_coarse_calib[0]}] [get_ports osc32k_en] [get_ports osc32k_en1k] [get_ports osc32k_en32k] [get_ports clk_osc32k_1khz] [get_ports clk_osc32k_32khz] [get_ports sysctrl_osc32krdy] [get_ports osc32k_32khz_ready] [get_ports osc32k_1khz_ready]]
set_clock_gating_check -rise -setup 1.25 [get_cells u_osc32k_oscctrl/U_STARTUP_OSC32K/clk_gate_startup_reg/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells u_osc32k_oscctrl/U_STARTUP_OSC32K/clk_gate_startup_reg/latch]
set_clock_gating_check -rise -hold 0 [get_cells u_osc32k_oscctrl/U_STARTUP_OSC32K/clk_gate_startup_reg/latch]
set_clock_gating_check -fall -hold 0 [get_cells u_osc32k_oscctrl/U_STARTUP_OSC32K/clk_gate_startup_reg/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrla_reserved1_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrla_reserved1_/latch]
set_clock_gating_check -rise -hold 0 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrla_reserved1_/latch]
set_clock_gating_check -fall -hold 0 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrla_reserved1_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrla_reserved2_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrla_reserved2_/latch]
set_clock_gating_check -rise -hold 0 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrla_reserved2_/latch]
set_clock_gating_check -fall -hold 0 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrla_reserved2_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrlb_reserved3__0/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrlb_reserved3__0/latch]
set_clock_gating_check -rise -hold 0 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrlb_reserved3__0/latch]
set_clock_gating_check -fall -hold 0 [get_cells u_osc32k_apb/clk_gate_slot_osc32k_ctrla_ctrlb_r_reg_ctrlb_reserved3__0/latch]
