`timescale 1ns / 1ps
module delay_module(out,in,sel)	;
	function integer clog2;
		input integer value;
		begin
			value = value-1;
			for (clog2=0; value>0; clog2=clog2+1)
				value = value>>1;
		end
	endfunction
	

	parameter DELAY = 4;
	parameter NR_BITS = clog2(DELAY) -1 ;
	input in;  
	input [NR_BITS:0] sel;
	output out;
	reg out;	   
	//ORDLY15s8fhvt DELAYEL(out,in,1'b1);
	wire [DELAY-1:0] in_temp;
	wire test;	
	wire zero;
	assign zero = 1'b0;
	genvar i;
		ordelayelement DELAYEL(.out(in_temp[0]),.a(in),.b(zero));
	generate 
		for(i=0;i<DELAY-1; i=i+1) begin:delaygen
				ordelayelement DELAYEL(.out(in_temp[i+1]),.a(in_temp[i]),.b(zero));
		end
	endgenerate						
	
	always @ * begin
		out	<= in_temp[sel];
	end
	

endmodule