
// Register map
localparam REG_CR = 7'h0; // Control register - R/W
localparam REG_SR = 7'h1; // Status Register  - RO

localparam REG_TFR_SIZE_LSB = 7'h2; // Size register (LSB)  R/W
localparam REG_TFR_SIZE_MSB = 7'h3; // Size register (MSB)  R/W

localparam REG_DATAOUT = 7'h10; // Dataout (RAM output) register

localparam REG_GP0    = 7'h20; // General purpose register   R/W
localparam REG_GP1    = 7'h21; // General purpose register   R/W
localparam REG_GP2    = 7'h22; // General purpose register   R/W
localparam REG_GP3    = 7'h23; // General purpose register   R/W

localparam REG_BUSIF32_IN  = 7'h30; // 9 bytes (WO) for a future 32-bits bus interface (4 adrr, 4  data , 1 cmd)
localparam REG_BUSIF32_OUT = 7'h31; // 4 bytes (RO) to read the result of a 32bit access read
 

localparam REG_VERSION_MINOR = 7'h7E; // Dataout (RAM output) register  RO 
localparam REG_VERSION_MAJOR = 7'h7F; // Dataout (RAM output) register  RO


// CR register bits
localparam CR_START = 0;






localparam VERSION_MAJOR = 8'h0;
localparam VERSION_MINOR = 8'h1;
