// Just to be sure (or verify) that the synthesis tool (Xilinx, Synopsys,...) will generate the  right logic
module simd_generic_adder (/*AUTOARG*/
  // Outputs
  res, cout,
  // Inputs
  a, b, cin
  );
  
  parameter WIDTH = 16;
  
  input  [WIDTH-1:0] a;
  input  [WIDTH-1:0] b;
  output [WIDTH-1:0] res;
  input              cin;
  output             cout;
  /*AUTOINPUT*/
  /*AUTOOUTPUT*/
  
  /*AUTOREG*/
  /*AUTOWIRE*/
  wire [WIDTH:0]     tmp;
  
  assign tmp = a+b+cin;
  assign res = tmp[WIDTH-1:0];
  assign cout = tmp[WIDTH];
  
  
endmodule // simd_generic_adder
/*  
 Local Variables:
 verilog-library-directories:(
 "."
 )
 End:
 */
