# Desc: Move data to ar0,ar1 and ar2, then read back
# Expected: r08=0x000A
# Expected: r09=0x000B
# Expected: r10=0x000C
        # Initialize
        zldi r2,0xA
        zldi r3,0xB
        zldi r4,0xC
        # Write
        mtsr ar0,r2
        mtsr ar1,r3
        mtsr ar2,r4
        # Read back
        mfsr r8,ar0
        mfsr r9,ar1
        mfsr r10,ar2
        
        halt 0
