module mem_wrapper(
	read_data,
	clk,
    addr,
    write_data,
    cs,
    we);

	
input [15:0] addr;
input clk;
input cs;
input we;
input [15:0] write_data;
output [15:0] read_data;

wire [31:0] read_data_temp;
reg [10:0] adr;
reg [3:0] we_in;
reg [3:0] re;

assign read_data = read_data_temp[15:0];

always @* begin
if(we == 1'b1) begin
				we_in = 4'b0011;
				re = 4'b0000;
	end else begin
				we_in = 4'b0000;
			re = 4'b0011;
end 
end



tpe_ram_1536x8x4hs_at110n_n1 PROGMEM (
	.clk	(clk),
	.me		(cs),
	.re		(re[3:0]),
	.we		(we_in[3:0]),
	.adr	(addr[10:0]),
	.din	( {16'b0, write_data}),// | instruction_in[USEQ_INST_MSB:0]),
	.rm		(4'b1111),
	.dout	(read_data_temp[31:0]),
	.pd		(1'b0),
	.pdd	(1'b1));
	
endmodule