###################################################################

# Created by write_sdc on Mon May 12 14:03:36 2014

###################################################################
set sdc_version 1.7

set_units -time ns -resistance kOhm -capacitance pF -voltage V -current mA
set_driving_cell -lib_cell bufckd7s8fhvt [get_ports clk]
set_case_analysis 0 [get_ports SCAN_ENABLE]
set_case_analysis 0 [get_ports test_se]
create_clock [get_ports clk]  -period 20  -waveform {0 10}
group_path -name FEEDTHROUGH  -from [list [get_ports {sel_mode[3]}] [get_ports {sel_mode[2]}] [get_ports {sel_mode[1]}] [get_ports {sel_mode[0]}] [get_ports rst_n_temp] [get_ports cpu_req] [get_ports load_program] [get_ports prog_clk] [get_ports {ramdsel[3]}] [get_ports {ramdsel[2]}] [get_ports {ramdsel[1]}] [get_ports {ramdsel[0]}] [get_ports {aludsel[3]}] [get_ports {aludsel[2]}] [get_ports {aludsel[1]}] [get_ports {aludsel[0]}] [get_ports {rfdsel[3]}] [get_ports {rfdsel[2]}] [get_ports {rfdsel[1]}] [get_ports {rfdsel[0]}] [get_ports {memdsel[3]}] [get_ports {memdsel[2]}] [get_ports {memdsel[1]}] [get_ports {memdsel[0]}] [get_ports {instruction_in[15]}] [get_ports {instruction_in[14]}] [get_ports {instruction_in[13]}] [get_ports {instruction_in[12]}] [get_ports {instruction_in[11]}] [get_ports {instruction_in[10]}] [get_ports {instruction_in[9]}] [get_ports {instruction_in[8]}] [get_ports {instruction_in[7]}] [get_ports {instruction_in[6]}] [get_ports {instruction_in[5]}] [get_ports {instruction_in[4]}] [get_ports {instruction_in[3]}] [get_ports {instruction_in[2]}] [get_ports {instruction_in[1]}] [get_ports {instruction_in[0]}] [get_ports {prog_adr[10]}] [get_ports {prog_adr[9]}] [get_ports {prog_adr[8]}] [get_ports {prog_adr[7]}] [get_ports {prog_adr[6]}] [get_ports {prog_adr[5]}] [get_ports {prog_adr[4]}] [get_ports {prog_adr[3]}] [get_ports {prog_adr[2]}] [get_ports {prog_adr[1]}] [get_ports {prog_adr[0]}]]  -to [get_ports cpu_ack]
group_path -name REGIN  -from [list [get_ports {sel_mode[3]}] [get_ports {sel_mode[2]}] [get_ports {sel_mode[1]}] [get_ports {sel_mode[0]}] [get_ports rst_n_temp] [get_ports cpu_req] [get_ports load_program] [get_ports prog_clk] [get_ports {ramdsel[3]}] [get_ports {ramdsel[2]}] [get_ports {ramdsel[1]}] [get_ports {ramdsel[0]}] [get_ports {aludsel[3]}] [get_ports {aludsel[2]}] [get_ports {aludsel[1]}] [get_ports {aludsel[0]}] [get_ports {rfdsel[3]}] [get_ports {rfdsel[2]}] [get_ports {rfdsel[1]}] [get_ports {rfdsel[0]}] [get_ports {memdsel[3]}] [get_ports {memdsel[2]}] [get_ports {memdsel[1]}] [get_ports {memdsel[0]}] [get_ports {instruction_in[15]}] [get_ports {instruction_in[14]}] [get_ports {instruction_in[13]}] [get_ports {instruction_in[12]}] [get_ports {instruction_in[11]}] [get_ports {instruction_in[10]}] [get_ports {instruction_in[9]}] [get_ports {instruction_in[8]}] [get_ports {instruction_in[7]}] [get_ports {instruction_in[6]}] [get_ports {instruction_in[5]}] [get_ports {instruction_in[4]}] [get_ports {instruction_in[3]}] [get_ports {instruction_in[2]}] [get_ports {instruction_in[1]}] [get_ports {instruction_in[0]}] [get_ports {prog_adr[10]}] [get_ports {prog_adr[9]}] [get_ports {prog_adr[8]}] [get_ports {prog_adr[7]}] [get_ports {prog_adr[6]}] [get_ports {prog_adr[5]}] [get_ports {prog_adr[4]}] [get_ports {prog_adr[3]}] [get_ports {prog_adr[2]}] [get_ports {prog_adr[1]}] [get_ports {prog_adr[0]}]]
group_path -name REGOUT  -to [get_ports cpu_ack]
