###################################################################

# Created by write_sdc on Sat May 10 16:58:39 2014

###################################################################
set sdc_version 1.7

set_units -time ns -resistance kOhm -capacitance pF -voltage V -current mA
set_driving_cell -lib_cell bufckd7s8fhvt [get_ports clk]
set_case_analysis 0 [get_ports SCAN_ENABLE]
set_case_analysis 0 [get_ports test_se]
create_clock [get_ports clk]  -period 20  -waveform {0 10}
group_path -name FEEDTHROUGH  -from [list [get_ports {sel_mode[3]}] [get_ports {sel_mode[2]}] [get_ports {sel_mode[1]}] [get_ports {sel_mode[0]}] [get_ports {instruction[15]}] [get_ports {instruction[14]}] [get_ports {instruction[13]}] [get_ports {instruction[12]}] [get_ports {instruction[11]}] [get_ports {instruction[10]}] [get_ports {instruction[9]}] [get_ports {instruction[8]}] [get_ports {instruction[7]}] [get_ports {instruction[6]}] [get_ports {instruction[5]}] [get_ports {instruction[4]}] [get_ports {instruction[3]}] [get_ports {instruction[2]}] [get_ports {instruction[1]}] [get_ports {instruction[0]}] [get_ports cpu_req] [get_ports rst_n] [get_ports {mem_out[15]}] [get_ports {mem_out[14]}] [get_ports {mem_out[13]}] [get_ports {mem_out[12]}] [get_ports {mem_out[11]}] [get_ports {mem_out[10]}] [get_ports {mem_out[9]}] [get_ports {mem_out[8]}] [get_ports {mem_out[7]}] [get_ports {mem_out[6]}] [get_ports {mem_out[5]}] [get_ports {mem_out[4]}] [get_ports {mem_out[3]}] [get_ports {mem_out[2]}] [get_ports {mem_out[1]}] [get_ports {mem_out[0]}] [get_ports {ramdsel[3]}] [get_ports {ramdsel[2]}] [get_ports {ramdsel[1]}] [get_ports {ramdsel[0]}] [get_ports {aludsel[3]}] [get_ports {aludsel[2]}] [get_ports {aludsel[1]}] [get_ports {aludsel[0]}] [get_ports {rfdsel[3]}] [get_ports {rfdsel[2]}] [get_ports {rfdsel[1]}] [get_ports {rfdsel[0]}] [get_ports {memdsel[3]}] [get_ports {memdsel[2]}] [get_ports {memdsel[1]}] [get_ports {memdsel[0]}]]  -to [list [get_ports {pc_r[15]}] [get_ports {pc_r[14]}] [get_ports {pc_r[13]}] [get_ports {pc_r[12]}] [get_ports {pc_r[11]}] [get_ports {pc_r[10]}] [get_ports {pc_r[9]}] [get_ports {pc_r[8]}] [get_ports {pc_r[7]}] [get_ports {pc_r[6]}] [get_ports {pc_r[5]}] [get_ports {pc_r[4]}] [get_ports {pc_r[3]}] [get_ports {pc_r[2]}] [get_ports {pc_r[1]}] [get_ports {pc_r[0]}] [get_ports {mem_in[15]}] [get_ports {mem_in[14]}] [get_ports {mem_in[13]}] [get_ports {mem_in[12]}] [get_ports {mem_in[11]}] [get_ports {mem_in[10]}] [get_ports {mem_in[9]}] [get_ports {mem_in[8]}] [get_ports {mem_in[7]}] [get_ports {mem_in[6]}] [get_ports {mem_in[5]}] [get_ports {mem_in[4]}] [get_ports {mem_in[3]}] [get_ports {mem_in[2]}] [get_ports {mem_in[1]}] [get_ports {mem_in[0]}] [get_ports {mem_addr[15]}] [get_ports {mem_addr[14]}] [get_ports {mem_addr[13]}] [get_ports {mem_addr[12]}] [get_ports {mem_addr[11]}] [get_ports {mem_addr[10]}] [get_ports {mem_addr[9]}] [get_ports {mem_addr[8]}] [get_ports {mem_addr[7]}] [get_ports {mem_addr[6]}] [get_ports {mem_addr[5]}] [get_ports {mem_addr[4]}] [get_ports {mem_addr[3]}] [get_ports {mem_addr[2]}] [get_ports {mem_addr[1]}] [get_ports {mem_addr[0]}] [get_ports mem_cs] [get_ports mem_we] [get_ports mem_clk] [get_ports cpu_ack] [get_ports ram_clk]]
group_path -name REGIN  -from [list [get_ports {sel_mode[3]}] [get_ports {sel_mode[2]}] [get_ports {sel_mode[1]}] [get_ports {sel_mode[0]}] [get_ports {instruction[15]}] [get_ports {instruction[14]}] [get_ports {instruction[13]}] [get_ports {instruction[12]}] [get_ports {instruction[11]}] [get_ports {instruction[10]}] [get_ports {instruction[9]}] [get_ports {instruction[8]}] [get_ports {instruction[7]}] [get_ports {instruction[6]}] [get_ports {instruction[5]}] [get_ports {instruction[4]}] [get_ports {instruction[3]}] [get_ports {instruction[2]}] [get_ports {instruction[1]}] [get_ports {instruction[0]}] [get_ports cpu_req] [get_ports rst_n] [get_ports {mem_out[15]}] [get_ports {mem_out[14]}] [get_ports {mem_out[13]}] [get_ports {mem_out[12]}] [get_ports {mem_out[11]}] [get_ports {mem_out[10]}] [get_ports {mem_out[9]}] [get_ports {mem_out[8]}] [get_ports {mem_out[7]}] [get_ports {mem_out[6]}] [get_ports {mem_out[5]}] [get_ports {mem_out[4]}] [get_ports {mem_out[3]}] [get_ports {mem_out[2]}] [get_ports {mem_out[1]}] [get_ports {mem_out[0]}] [get_ports {ramdsel[3]}] [get_ports {ramdsel[2]}] [get_ports {ramdsel[1]}] [get_ports {ramdsel[0]}] [get_ports {aludsel[3]}] [get_ports {aludsel[2]}] [get_ports {aludsel[1]}] [get_ports {aludsel[0]}] [get_ports {rfdsel[3]}] [get_ports {rfdsel[2]}] [get_ports {rfdsel[1]}] [get_ports {rfdsel[0]}] [get_ports {memdsel[3]}] [get_ports {memdsel[2]}] [get_ports {memdsel[1]}] [get_ports {memdsel[0]}]]
group_path -name REGOUT  -to [list [get_ports {pc_r[15]}] [get_ports {pc_r[14]}] [get_ports {pc_r[13]}] [get_ports {pc_r[12]}] [get_ports {pc_r[11]}] [get_ports {pc_r[10]}] [get_ports {pc_r[9]}] [get_ports {pc_r[8]}] [get_ports {pc_r[7]}] [get_ports {pc_r[6]}] [get_ports {pc_r[5]}] [get_ports {pc_r[4]}] [get_ports {pc_r[3]}] [get_ports {pc_r[2]}] [get_ports {pc_r[1]}] [get_ports {pc_r[0]}] [get_ports {mem_in[15]}] [get_ports {mem_in[14]}] [get_ports {mem_in[13]}] [get_ports {mem_in[12]}] [get_ports {mem_in[11]}] [get_ports {mem_in[10]}] [get_ports {mem_in[9]}] [get_ports {mem_in[8]}] [get_ports {mem_in[7]}] [get_ports {mem_in[6]}] [get_ports {mem_in[5]}] [get_ports {mem_in[4]}] [get_ports {mem_in[3]}] [get_ports {mem_in[2]}] [get_ports {mem_in[1]}] [get_ports {mem_in[0]}] [get_ports {mem_addr[15]}] [get_ports {mem_addr[14]}] [get_ports {mem_addr[13]}] [get_ports {mem_addr[12]}] [get_ports {mem_addr[11]}] [get_ports {mem_addr[10]}] [get_ports {mem_addr[9]}] [get_ports {mem_addr[8]}] [get_ports {mem_addr[7]}] [get_ports {mem_addr[6]}] [get_ports {mem_addr[5]}] [get_ports {mem_addr[4]}] [get_ports {mem_addr[3]}] [get_ports {mem_addr[2]}] [get_ports {mem_addr[1]}] [get_ports {mem_addr[0]}] [get_ports mem_cs] [get_ports mem_we] [get_ports mem_clk] [get_ports cpu_ack] [get_ports ram_clk]]
set_clock_gating_check -rise -setup 1.25 [get_cells clk_gate_pc_r_reg/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells clk_gate_pc_r_reg/latch]
set_clock_gating_check -rise -hold 0 [get_cells clk_gate_pc_r_reg/latch]
set_clock_gating_check -fall -hold 0 [get_cells clk_gate_pc_r_reg/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_14_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_14_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_14_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_14_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_13_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_13_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_13_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_13_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_12_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_12_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_12_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_12_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_11_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_11_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_11_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_11_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_10_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_10_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_10_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_10_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_9_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_9_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_9_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_9_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_8_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_8_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_8_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_8_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_7_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_7_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_7_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_7_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_6_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_6_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_6_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_6_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_5_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_5_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_5_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_5_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_4_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_4_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_4_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_4_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_3_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_3_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_3_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_3_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_2_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_2_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_2_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_2_/latch]
set_clock_gating_check -rise -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_1_/latch]
set_clock_gating_check -fall -setup 1.25 [get_cells U_RF/clk_gate_regfile_reg_1_/latch]
set_clock_gating_check -rise -hold 0 [get_cells U_RF/clk_gate_regfile_reg_1_/latch]
set_clock_gating_check -fall -hold 0 [get_cells U_RF/clk_gate_regfile_reg_1_/latch]
