`ifndef DEFAULT_LIB
  `define DEFAULT_LIB "S8FHVT"
`endif

module primitive_mutex (/*AUTOARG*/
  // Outputs
  g1, g2,
  // Inputs
  r1, r2
  );
  parameter LIB = "S8FHVT";
  parameter DELAY = 1;
  
  input r1;
  input r2;
  output g1;
  output g2;


  if(LIB=="S10S3") begin:U
    mutex2d4x3s10 MUTEX(.r1(r1),.r2(r2),.g1(g1),.g2(g2));
  end
  else if(LIB=="S8FHVT") begin:U
    mutex2d4s8fhvt MUTEX(.r1(r1),.r2(r2),.g1(g1),.g2(g2));
  end


endmodule // primitive_mutex
                        
/*  
 Local Variables:
 verilog-library-directories:(
 "."
 )
 End:
 */
